﻿using UnityEngine;
using System.Collections;

public class WelcomeScreen : MonoBehaviour {
	
	public GUIStyle btn_style;
	public GUIStyle welcome_style;
	public Texture tex_background;
	public Texture tex_controls;
	public Transform controller;

	// Use this for initialization
	void Start () {
		if(GameObject.Find("controller")==null){
			Instantiate(controller, new Vector3(0, 0, 0), Quaternion.identity);
		}
	}
	
	// Update is called once per frame
	void Update () {
	
	}

	void OnGUI () {

        //GUI.Label((new Rect(Screen.width/2-125,Screen.height/2-20,250,75),"Level 2", btn_style);

		GUI.Label(new Rect(Screen.width/2-125,Screen.height/2-200,250,100), "Welcome!",welcome_style);

		if (GUI.Button(new Rect(Screen.width/2-125,Screen.height/2-100,250,75),"Start", btn_style))
			Application.LoadLevel("Level_1");
		if (GUI.Button(new Rect(Screen.width/2-125,Screen.height/2-20,250,75),"Level 2", btn_style))
			Application.LoadLevel("Level_2");
		if (GUI.Button(new Rect(Screen.width/2-125,Screen.height/2+60,250,75),"Level 3", btn_style))
			Application.LoadLevel("Level_3");

		if (GUI.Button(new Rect(Screen.width/2-125,Screen.height/2+220,250,75),"Quit", btn_style))
			Application.Quit();
		
	}
}
